<template name="courseCompact">
	{{#if Template.subscriptionsReady}}
		<div class="col">
			<a href="{{pathFor 'showCourse' _id=course._id slug=course.slug}}">
				<div class="row mx-0 align-items-start course-compact {{courseStateClasses course}} {{filterPreviewClasses course}}"
					 style="{{courseCss course}}">
					<div class="course-compact-content col-8">
						{{#if course.internal}}
							<span class="course-compact-internal" data-bs-toggle="tooltip"
								  data-bs-title="{{i18n '_label.internal' attr=true}}"></span>
						{{/if}}
						<div class="course-compact-title" title="{{name}}">{{course.name}}</div>
						{{> courseCategories categories=course.categories}}
					</div>
					{{#if nextEvent}}
						{{> courseCompactEvent course}}
					{{else}}
						{{> courseCompactRoles course}}
					{{/if}}
					<div class="tag-group course-groups">
						{{#each group in course.groups}}
							{{> groupTag (groupTagAttr course group)}}
						{{/each}}
					</div>
				</div>
			</a>
		</div>
	{{/if}}
</template>

<template name="courseCompactEvent">
	<div class="course-compact-next-event col">
		{{#if nextEvent.venue.name}}
			<div class="course-compact-next-event-component">
				<i class="fa-solid fa-house fa-fw" aria-hidden="true"></i>
				{{nextEvent.venue.name}}
			</div>
		{{/if}}
		<div class="course-compact-next-event-component">
			<i class="fa-regular fa-clock fa-fw" aria-hidden="true"></i>
			<span title="{{dateShort nextEvent.startLocal}} {{timeFormat nextEvent.startLocal}}">
				{{dateToRelativeString nextEvent.startLocal}}
			</span>
		</div>
		<div class="course-compact-next-event-component">
			<i class="{{roleIcon 'participant'}}" aria-hidden="true"></i>
			{{members.length}}
		</div>
	</div>
</template>

<template name="courseCompactRoles">
	<div class="course-compact-roles col">
		<div class="course-compact-role {{roleStateClass 'team'}}" data-bs-toggle="tooltip"
			 data-bs-title="{{roleStateTooltip 'team' attr=true}}" href="#">
			<i class="{{roleIcon 'team'}}" aria-hidden="true"></i>
		</div>
		{{#if requiresRole 'mentor'}}
			<div class="course-compact-role {{roleStateClass 'mentor'}}" data-bs-toggle="tooltip"
				 data-bs-title="{{roleStateTooltip 'mentor' attr=true}}" href="#">
				<i class="{{roleIcon 'mentor'}}" aria-hidden="true"></i>
			</div>
		{{/if}}
		{{#if requiresRole 'host'}}
			<div class="course-compact-role {{roleStateClass 'host'}}" data-bs-toggle="tooltip"
				 data-bs-title="{{roleStateTooltip 'host' attr=true}}" href="#">
				<i class="{{roleIcon 'host'}}" aria-hidden="true"></i>
			</div>
		{{/if}}
		<div class="course-compact-role {{participantClass}}" data-bs-toggle="tooltip"
			 data-bs-title="{{participantTooltip attr=true}}">
			<i class="{{roleIcon 'participant'}}" aria-hidden="true"></i>
			{{members.length}}
		</div>
	</div>
</template>
